From 25bc525b0021046969708620a7f2c7e613962e9e Mon Sep 17 00:00:00 2001
From: Till Maas <opensource@till.name>
Date: Sep 24 2015 17:26:15 +0000
Subject: [PATCH 1/3] Use Fedora 24 key ID for Rawhide


---

diff --git a/configs/rawhide.arm.mash b/configs/rawhide.arm.mash
index 268b62a..1c64455 100644
--- a/configs/rawhide.arm.mash
+++ b/configs/rawhide.arm.mash
@@ -9,7 +9,7 @@ multilib = False
 tag = f24
 inherit = False
 strict_keys = False
-keys = 873529B8
+keys = 81b46521
 repoviewurl = http://download.fedoraproject.org/pub/fedora-secondary/development/rawhide/%(arch)s/os/
 repoviewtitle = "Fedora Rawhide - %(arch)s"
 arches = aarch64
diff --git a/configs/rawhide.mash b/configs/rawhide.mash
index a5ca6a6..5f257da 100644
--- a/configs/rawhide.mash
+++ b/configs/rawhide.mash
@@ -10,7 +10,7 @@ multilib_method = devel
 tag = f24
 inherit = False
 strict_keys = False
-keys = 34EC9CBA
+keys = 81b46521
 repoviewurl = http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/%(arch)s/os/
 repoviewtitle = "Fedora Rawhide - %(arch)s"
 arches = i386 x86_64 armhfp
diff --git a/configs/rawhide.ppc.mash b/configs/rawhide.ppc.mash
index b19d333..4d46fb7 100644
--- a/configs/rawhide.ppc.mash
+++ b/configs/rawhide.ppc.mash
@@ -9,7 +9,7 @@ multilib = False
 tag = f24
 inherit = False
 strict_keys = False
-keys = 873529B8
+keys = 81b46521
 repoviewurl = http://download.fedoraproject.org/pub/fedora-secondary/development/rawhide/%(arch)s/os/
 repoviewtitle = "Fedora Rawhide - %(arch)s"
 arches = ppc64le ppc64
diff --git a/configs/rawhide.s390.mash b/configs/rawhide.s390.mash
index 562e4e9..9b065ce 100644
--- a/configs/rawhide.s390.mash
+++ b/configs/rawhide.s390.mash
@@ -10,7 +10,7 @@ multilib_method = devel
 tag = f24
 inherit = False
 strict_keys = False
-keys = 873529B8
+keys = 81b46521
 repoviewurl = http://download.fedoraproject.org/pub/fedora-secondary/development/rawhide/%(arch)s/os/
 repoviewtitle = "Fedora Rawhide - %(arch)s"
 arches = s390 s390x

From f66d0dd88f98cc0b2d31cc5b245cd79cad6fd924 Mon Sep 17 00:00:00 2001
From: Till Maas <opensource@till.name>
Date: Sep 24 2015 17:26:15 +0000
Subject: [PATCH 2/3] Mention pagure in README


---

diff --git a/README b/README
index 8942908..655d90b 100644
--- a/README
+++ b/README
@@ -17,7 +17,10 @@ such as 'rawhide.mash' or 'f15-updates.mash'.
 mash is a Fedora build system tool. For discussion, comments, and
 patches please send mail to:
 	buildsys@lists.fedoraproject.org
-	http://lists.fedoraproject.org/mailman/listinfo/buildsys
+	https://lists.fedoraproject.org/mailman/listinfo/buildsys
+
+Or open a pull request at:
+	https://pagure.io/mash/pull-requests
 
 Bugs can be filed at:
 	https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora

From f152815b5e314237cf5a553d4455b11dfe568ce9 Mon Sep 17 00:00:00 2001
From: Till Maas <opensource@till.name>
Date: Sep 24 2015 17:26:15 +0000
Subject: [PATCH 3/3] 0.6.19 release


---

diff --git a/mash.py b/mash.py
index 9620b85..486ac1f 100755
--- a/mash.py
+++ b/mash.py
@@ -24,7 +24,7 @@ import mash.config
 
 def main():
     usage = "usage: %prog [options] <configuration to build>"
-    parser = OptionParser(usage, version='%prog 0.6.18')
+    parser = OptionParser(usage, version='%prog 0.6.19')
     parser.add_option("-o", "--outputdir", default="", dest="outputdir",
                       help="output directory")
     parser.add_option(
diff --git a/mash.spec b/mash.spec
index c5f4bbc..9d49846 100644
--- a/mash.spec
+++ b/mash.spec
@@ -1,12 +1,12 @@
 %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
 
 Name:           mash
-Version:        0.6.18
+Version:        0.6.19
 Release:        1%{?dist}
 Summary:        Koji buildsystem to yum repository converter
 Group:          Development/Tools
 License:        GPLv2
-URL:            http://fedorahosted.org/releases/m/a/mash/
+URL:            https://pagure.io/mash
 Source0:        http://fedorahosted.org/releases/m/a/mash/%{name}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires:       yum, createrepo, koji
@@ -44,6 +44,11 @@ rm -rf $RPM_BUILD_ROOT
 /var/cache/mash
 
 %changelog
+* Thu Sep 24 2015 Till Maas <opensource@till.name> - 0.6.19-1
+- Use Fedora 24 key for Rawhide
+- Update URL in SPEC
+- Update README
+
 * Thu Jul 23 2015 Dennis Gilmore <dennis@ausil.us> - 0.6.18-1
 - fix up permission on spam-o-matic
 
diff --git a/setup.py b/setup.py
index 0c309d5..b568357 100644
--- a/setup.py
+++ b/setup.py
@@ -2,7 +2,7 @@ from distutils.core import setup
 import glob
 
 setup(name='mash',
-      version='0.6.18',
+      version='0.6.19',
       description='Build system -> repository tool',
       author='Dennis Gilmore',
       author_email='dennis@ausil.us',

